usb_hcd_pci_remove
Prev | Chapter 6. Host Controller APIs | Next

## Name

usb_hcd_pci_remove — shutdown processing for PCI-based HCDs

## Synopsis

`void usb_hcd_pci_remove (` | struct pci_dev * | dev`)`;

## Arguments

`dev`

  USB Host Controller being removed

## Context

!`in_interrupt`

## Description

Reverses the effect of `usb_hcd_pci_probe`, first invoking the HCD's `stop` method. It is always called from a thread context, normally “rmmod”, “apmd”, or something similar.

Store this function in the HCD's struct pci_driver as `remove`.

Prev | Up | Next
usb_hcd_pci_probe | Home | usb_hcd_pci_suspend